<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlunit").val(data.jmlunit);
				$("#txt_hgjual").val(data.hgjual);
				$("#txt_jumlah").val(data.jumlah);
				$("#form_lihat_detail").dialog('close');
			}
		});		
	}

	function hapus_detail(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				$("#form_lihat_detail").dialog('close');
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("kasir/penjualan/tampil_data_detail.php?kode="+kode);
		$("#txt_barcode").focus();
	}
</script>

<?php
include '../../inc/inc.koneksi.php';
$kodepj	= $_GET[kodepj];

echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Jml. Unit</th>
			<th>Harga Jual</th>
			<th>Jml. Harga</th>
			<th>Aksi</th>
		</tr>";
		$sql = "SELECT * FROM faktur_pj WHERE kode_pj='$kode' ORDER BY no_urut";
						
		$query = mysql_query($sql);
		$jml   = mysql_num_rows($query);
		$hide  = $jml-$lim;
		         
		$no=1;
		$total=0;
		while($r=mysql_fetch_array($query)){
			$kode 	= $r[kode_pj].'-'.$r[no_urut];
			$total	= $total+$r[jumlah];
			$urut	= $r[no_urut];
			
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r[kode_st]</td>
				<td>$r[nama_st]</td>
				<td>$r[satuan]</td>
				<td align='center'>".number_format($r[jml_unit],2)."</td>
				<td align='right'>".number_format($r[hg_jual],0)."</td>
				<td align='right'>".number_format($r[jumlah],0)."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>
				</td>
			</tr>";
			$no++;
		}
		
		echo "<tr>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>				
			<td align='right'>Total</td>
			<td align='right'>".number_format($total,0)."</td>
		</tr>
	</table>";
?>